import type { ToolInterface } from "./models";
export declare class ToolEdge {
    readonly tool: ToolInterface;
    private _childs;
    private _uiParent;
    private _schemaParent;
    wasUnscoped: boolean | undefined;
    displaced: ToolInterface | undefined;
    childsInitialized: boolean | undefined;
    constructor(tool: ToolInterface);
    get childs(): ToolInterface[];
    addChild(child: ToolInterface, newIndex?: number): void;
    findChild(path: string): ToolInterface | undefined;
    findScopedChilds(): ToolInterface[];
    replaceChilds(childs: ToolInterface[]): void;
    removeChild(child: ToolInterface): void;
    get uiParent(): ToolInterface | undefined;
    get schemaParent(): ToolInterface | undefined;
    removeParent(parent: ToolInterface): void;
    setParent(tool: ToolInterface): void;
    set uiParent(value: ToolInterface | undefined);
    set schemaParent(value: ToolInterface | undefined);
}
